Saltar al contenido principal
POST
/
packages
/
import
Importar paquetes en lote
curl --request POST \
  --url https://tu-dominio.com/api/external/v1/packages/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "packages": [
    {
      "cliente": "<string>",
      "codigo_asesor": "<string>",
      "wr": "<string>",
      "guia": "<string>",
      "piezas": 123,
      "embalaje": "<string>",
      "peso": 123,
      "precio": 123,
      "cuenta_a_terceros": 123,
      "otros": 123,
      "total": 123,
      "id_sucursal": 123,
      "sucursal": "<string>",
      "transportista": "<string>",
      "consignatario": "<string>",
      "transportador": "<string>",
      "seguimiento": "<string>",
      "volumen": 123,
      "nota": "<string>"
    }
  ]
}
'
{
  "success": true,
  "created": 123,
  "skipped": 123,
  "errors": [
    {
      "index": 123,
      "wr": "<string>",
      "message": "<string>"
    }
  ],
  "items": [
    {
      "index": 123,
      "wr": "<string>",
      "id": 123
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

API Key de la empresa en formato Bearer token.

Ejemplo: Authorization: Bearer G8RCjH11DabBNjnX7wO5

Cuerpo

application/json
packages
object[]
requerido
Required array length: 1 - 500 elements

Respuesta

Procesamiento completado

success
boolean
created
integer
skipped
integer
errors
object[]
items
object[]